//
//  SudokuGrid.h
//  Sudoku
//
//  Created by Benjamin Ragheb on 12/23/06.
//  Copyright 2008 Benjamin Ragheb. All rights reserved.
//

#import <Cocoa/Cocoa.h>


@interface SudokuGrid : NSObject {
	unsigned char data[9 * 9];
}
- (void)resetWithDifficulty:(int)difficulty;
- (void)resetWithDifficulty:(int)difficulty serial:(unsigned long)serial;
- (void)shuffle;
- (BOOL)isInvalidAtRow:(int)row andColumn:(int)col;
- (BOOL)isReadOnlyAtRow:(int)row andColumn:(int)col;
- (unsigned char)valueAtRow:(int)row andColumn:(int)col;
- (void)setValue:(unsigned char)value atRow:(int)row andColumn:(int)col;
@end
